Support » Plugin: Autoptimize » WP 5.5 + Woo: Uncaught ReferenceError: wp is not defined

  • Resolved bonovski

    (@bonovski)


    Hi, I updated my staging site to WP 5.5 and Woo 4.3.3.
    I did not change any settings in autoptimize, just cleared the cache.

    I’m getting this error:
    Uncaught ReferenceError: wp is not defined

    referencing this script:

    <script type='text/javascript' id='wp-a11y-js-translations'>( function( domain, translations ) {
    	var localeData = translations.locale_data[ domain ] || translations.locale_data.messages;
    	localeData[""].domain = domain;
    	wp.i18n.setLocaleData( localeData, domain );
    } )( "default", { "locale_data": { "messages": { "": {} } } } );</script> 

    When I turn off Aggregate JS-files the error disappears.

    • This topic was modified 1 year, 10 months ago by bonovski.
Viewing 4 replies - 1 through 4 (of 4 total)
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘WP 5.5 + Woo: Uncaught ReferenceError: wp is not defined’ is closed to new replies.